require 'i18n'
require 'i18n/language_names/version'
require 'twitter_cldr'

# TODO: be picky about what we import (no monkey-patching)
#require 'twitter_cldr/resources'
#require "twitter_cldr/shared/languages"

module I18n
  module LanguageNames
    def self.get_language_name(language, locale)
      TwitterCldr::Shared::Languages.from_code_for_locale(language, locale)
    end
  end

  def self.language_name(language = self.locale)
    LanguageNames.get_language_name(language, self.locale)
  end

  def self.native_language_name(language)
    LanguageNames.get_language_name(language, language)
  end
end
